:root {
    --primary-color: #152440;
    --primary-color-light: #ABBFE3;
    /* --primary-color-20: rgba(21, 36, 64, 0.2); */
}

body {
    padding-top: 70px;
    padding-bottom: 20px;
    scroll-padding-top: 70px;

    font-family: 'Raleway', sans-serif;
}

*, ::after, ::before {
    box-sizing: border-box
}

.image-container-height {
    height: 100% !important;
    width: auto !important;
}

.image-container-width {
    height: auto !important;
    width: 100% !important;
}

a {
    text-decoration: none;
    display: inline-block;
}

i.action:hover {
    cursor: pointer;
}

/*::::::::::::::::::::::::::::: subscriptions/orgs :::::::::::::::::::::::::::::*/
/* table.subscriptions {
    margin: auto;
    font-size: 1.2em;
}

table.subscriptions td {
    padding: 10px;
    text-align: center;
} */

.subscription, .org {
    background-color: rgba(21, 36, 64, 0.2);
    border-radius: 10px;
}

.subscription-header, .org-header {
    background-color: var(--primary-color);
    color: #ffffff;
    border-top-left-radius: inherit;
    border-top-right-radius: inherit;
}

/*::::::::::::::::::::::::::::: menu :::::::::::::::::::::::::::::*/
.dropdown-menu {
    border-radius: 0 !important;
    /* background-color: var(--primary-color-light); */
}

/*::::::::::::::::::::::::::::: theme :::::::::::::::::::::::::::::*/
.bold-link {
    font-weight: bold;
    color: inherit;
}

.bold-link:hover {
    font-weight: bolder;
    color: inherit;
}

.modal-header {
    background-color: var(--primary-color);
    color: #ffffff;
}

nav {
    background-color: #ffffff;
}

.toast {
    background-color: #000000 !important;
    color: #ffffff !important;
}

input, select {
    accent-color: #000000;
    padding: 10px;
    border-top: none;
    border-left: none;
    border-right: none;
    border-bottom: 1px solid #000000;
}

.button {
    border: var(--primary-color) solid 2px;
    border-radius: 10px;
    padding: 15px 25px;
    background-color: var(--primary-color);
    color: #ffffff;
    text-decoration: none;
}

.button-small {
    border: var(--primary-color) solid 2px !important;
    border-radius: 10px;
    padding: 5px 8px !important;
    background-color: var(--primary-color) !important;
    color: #ffffff !important;
    text-decoration: none;
}

.button-small[disabled]:hover, .button[disabled]:hover {
    cursor: not-allowed;
}

.button:hover, .button-small:hover {
    background-color: #ffffff !important;
    color: var(--primary-color) !important;
    cursor: pointer;
}

.fa-circle-xmark {
    color: red;
}

.fa-circle-check {
    color: green;
}

.primary-color {
    color: var(--primary-color);
    fill: var(--primary-color);
}

/*::::::::::::::::::::::::::::: table :::::::::::::::::::::::::::::*/
tbody>tr:hover {
    background-color: rgba(21, 36, 64, 0.2);
}

tbody>tr:hover td:first-child {
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
}

tbody>tr:hover td:last-child {
    border-top-right-radius: 10px;
    border-bottom-right-radius: 10px;
}

tr.no-highlight:hover {
    background-color: inherit;
}

thead, tfoot {
    font-weight: bold;
}

td.center {
    text-align: center;
}

td.right {
    text-align: right;
}

td.middle {
    vertical-align: middle;
}

td.nowrap {
    white-space: nowrap;
}

/*:::::::::::::::::::::: scroll ::::::::::::::::::::::*/
::-webkit-scrollbar {
    width: 12px;
    height: 12px;
}

::-webkit-scrollbar-track {
    background: inherit;
    border-radius: 0px;
}

::-webkit-scrollbar-thumb {
    background: var(--primary-color);
}

::-webkit-scrollbar-thumb:hover {
    background: var(--primary-color);
}

::-webkit-scrollbar-corner {
    background-color: transparent;
}